<?php
	//error_reporting(E_ALL);
	require_once 'lib/GameQ.php';
	
	$servers = Array
	(
		
		array(
			'type' => 'cs16',
			'host' => '193.39.177.117:27121',
			'game' => 'cs',
			'id' => '1',
			'hltv' => 'http://asd.hltv3.pukawka.pl/',
			'amxbans' => 'http://bany.site.pl/',
		),
                               array(
			'type' => 'cs16',
			'host' => '31.188.83.100:27156',
			'game' => 'cs',
			'id' => '2',
			'hltv' => 'http://asd.hltv2.pukawka.pl/',
			'amxbans' => 'http://bany.site.pl/',
		),
                              array(
			'type' => 'cs16',
			'host' => '193.31.176.249:27215',
			'game' => 'cs',
			'id' => '3',
			'hltv' => '#',
			'amxbans' => 'http://bany.site.pl/',
		),
                              array(
			'type' => 'cs16',
			'host' => '80.75.37.12:27024',
			'game' => 'cs',
			'id' => '4',
			'hltv' => '#',
			'amxbans' => 'http://bany.site.pl/',
		),
                              array(
			'type' => 'cs16',
			'host' => '31.182.81.18:27966',
			'game' => 'cs',
			'id' => '5',
			'hltv' => '#',
			'amxbans' => 'http://bany.site.pl/',
		),
	);
	
	$playersall = 0;
	$playersmaxall = 0;
	$percall = 0;
	
	$gq = new GameQ(); // or $gq = GameQ::factory();
	$gq->setOption('timeout', 2); // Seconds
	$gq->setOption('debug', FALSE);
	$gq->setFilter('normalise');
	$gq->addServers($servers);

	$results = $gq->requestData();
	$i = 0;
	$n = count($servers);
	foreach($results as $server) {
		$icon[$i] = 'http://site.pl/ikonki/'.$servers[$i]['game'].'.png';
		$id[$i] = $servers[$i]['id'];
		//print_r($server);
		if($server['gq_hostname'] == "") {
			$hostname[$i] = 'Serwer '.$id[$i].' offline';
			$players[$i] = '0';
			$playersmax[$i] = '0';
			$map[$i] = 'Brak danych';
			$status[$i] = '<span class="ipsBadge" style="background:url(http://site.pl/ikonki/highlight.png) repeat-x scroll center top red">OFFLINE</span>';
			$perc[$i] = 0;
			$nextmap[$i] = 'Brak danych';
			$timeleft[$i] = 0;
		} else {
			$hostname[$i] = $server['gq_hostname'];
			$players[$i] = $server['gq_numplayers'];
			$playersmax[$i] = $server['gq_maxplayers'];
			$status[$i] = '<span class="ipsBadge" style="background:url(http://site.pl/ikonki/highlight.png) repeat-x scroll center top green">ONLINE</span>';
			if($servers[$i]['type'] == 'teamspeak3') {
				$descr[$i] = 'Team Speak 3';
                $map[$i] = 'n/a';
				$mapimg[$i] = 'http://ratosluaf.gclan.pl/images/maps/nomap.jpg';
			} else {
				$descr[$i] = $server['game_descr'];
				$map[$i] = $server['gq_mapname'];
				$nextmap[ $i ]	=	$server[ 'amx_nextmap' ];
				$timeleft[ $i ]	=	$server[ 'amx_timeleft' ];
				if(@fopen('http://image.www.gametracker.com/images/maps/160x120/'.$servers[$i]['game'].'/'.$map[$i].'.jpg', 'r')){
					$mapimg[$i] = 'http://image.www.gametracker.com/images/maps/160x120/'.$servers[$i]['game'].'/'.$map[$i].'.jpg';
				} else {
					$mapimg[$i] = 'http://ratosluaf.gclan.pl/images/maps/nomap.jpg';
				}
			}
			$perc[$i] = round($players[$i]/$playersmax[$i]*100);
				
			for ($d=0;$d<$players[$i]; $d++)
			{
				if($servers[$i]['type'] == 'teamspeak3') {
					$seconds[$i][$d] = 0;
					$score[$i][$d] = 0;
				} else {
					$seconds[$i][$d] = $server['players'][$d]['time'];
					$score[$i][$d] = $server['players'][$d]['gq_score'];
				}
				$hms[$i][$d] = gmdate('H:i:s',$seconds[$i][$d]);
				$patterns = array();
				$patterns[0] = '/</';
				$patterns[1] = '/>/';
				$replacements = array();
				$replacements[1] = '&lt;';
				$replacements[2] = '&gt';
				$gracz[$i][$d] =  preg_replace($patterns, $replacements, $server['players'][$d]['gq_name']);
			}
		}
		$playersall += $players[$i];
		$playersmaxall += $playersmax[$i];
		$i++;
	}
?>